#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		sname		%(echo %{name} | cut -d '-' -f2)
#-----------------------------------------------------------------------------
Name		:	kf5-kio
Version		:	5.107.0
Release		:	17.0.10.rel%{?dist}
Summary		:	KDE Network transparent access to files and data

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2
URL		:	https://download.kde.org/stable/frameworks

Source0		:	%{sname}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	doxygen
BuildRequires	:	extra-cmake-modules
BuildRequires	:	glu-devel
BuildRequires	:	kf5-kauth-devel
BuildRequires	:	kf5-karchive-devel
BuildRequires	:	kf5-kconfig-devel
BuildRequires	:	kf5-kconfigwidgets-devel
BuildRequires	:	kf5-kcodecs-devel
BuildRequires	:	kf5-kcoreaddons-devel
BuildRequires	:	kf5-kcrash-devel
BuildRequires	:	kf5-kcompletion-devel
BuildRequires	:	kf5-kbookmarks-devel
BuildRequires	:	kf5-kdbusaddons-devel
BuildRequires	:	kf5-kdoctools-devel
BuildRequires	:	kf5-kguiaddons-devel
BuildRequires	:	kf5-ki18n-devel
BuildRequires	:	kf5-kiconthemes-devel
BuildRequires	:	kf5-kitemviews-devel
BuildRequires	:	kf5-kjobwidgets-devel
BuildRequires	:	kf5-kservice-devel
BuildRequires	:	kf5-ktextwidgets-devel
BuildRequires	:	kf5-kwidgetsaddons-devel
BuildRequires	:	kf5-kwindowsystem-devel
BuildRequires	:	kf5-kxmlgui-devel
BuildRequires	:	kf5-rpm-macros
BuildRequires	:	libxml2
BuildRequires	:	qt5-qtbase-devel
BuildRequires	:	qt5-qttools-devel
BuildRequires	:	qt5-qtx11extras-devel
BuildRequires	:	solid = %{version}
#-----------------------------------------------------------------------------
%description
This framework implements almost all the file management functions you
will ever need. In fact, the KDE file manager (Dolphin) and the KDE
file dialog also uses this to provide its network-enabled file management.

It supports accessing files locally as well as via HTTP and FTP out of the
box and can be extended by plugins to support other protocols as well. There
is a variety of plugins available, e.g. to support access via SSH.

The framework can also be used to bridge a native protocol to a file-based
interface. This makes the data accessible in all applications using the KDE
file dialog or any other KIO enabled infrastructure.

#-----------------------------------------------------------------------------
%files			-f %{sname}.lang
%defattr(-,root,root,-)
%license LICENSES/*.txt
%doc README.md
%config %{_kf5_sysconfdir}/xdg/kshorturifilterrc
%{_kf5_libdir}/libKF5KIO*.so.5*
%{_kf5_sysconfdir}/xdg/accept-languages.codes
%{_kf5_datadir}/qlogging-categories5/*categories
%{_kf5_libexecdir}/kio_http_cache_cleaner
%{_kf5_libexecdir}/kpac_dhcp_helper
%{_kf5_libexecdir}/kioexec
%{_kf5_libexecdir}/kioslave5
%{_kf5_libexecdir}/kiod5
%{_kf5_bindir}/ktelnetservice5
%{_kf5_bindir}/kcookiejar5
%{_kf5_bindir}/ktrash5
%{_kf5_plugindir}/kio/
%{_kf5_plugindir}/kded/
%{_kf5_qtplugindir}/kcm_*.so
%{_kf5_plugindir}/kiod/
%{_kf5_datadir}/kservices5/*.desktop
%{_kf5_datadir}/kservicetypes5/*.desktop
%{_kf5_datadir}/kservices5/searchproviders/*.desktop
%{_kf5_datadir}/knotifications5/proxyscout.*
%{_kf5_datadir}/kf5/kcookiejar/domain_info
%{_kf5_datadir}/applications/kcm_trash.desktop
%{_kf5_datadir}/applications/ktelnetservice5.desktop
%{_kf5_datadir}/kconf_update/*
%{_kf5_plugindir}/urifilters/*.so
%{_kf5_qtplugindir}/plasma/kcms/systemsettings/kcm_smb.so
%{_kf5_qtplugindir}/plasma/kcms/systemsettings_qwidgets/kcm_*.so
%{_datadir}/dbus-1/services/org.kde.*.service

#=============================================================================
%package		devel
Summary		:	Development files for %{name}

#-----------------------------------------------------------------------------
Requires	:	%{name}		= %{version}-%{release}
Requires	:	qt5-rpm-macros

#-----------------------------------------------------------------------------
%description		devel
The %{name}-devel package contains libraries and
header files for developing applications that
use %{name}.

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_datadir}/dbus-1/interfaces/*.xml
%{_kf5_bindir}/protocoltojson
%{_kf5_includedir}/*
%{_kf5_libdir}/*.so
%{_kf5_libdir}/cmake/KF5KIO/
%{_kf5_archdatadir}/mkspecs/modules/qt_*.pri
%{_kf5_datadir}/kdevappwizard/templates/kioworker.tar.bz2
%{_kf5_qtplugindir}/designer/kio5widgets.so
%{_qt5_docdir}/*.tags

#=============================================================================
%package		doc
Summary		:	Developer Documentation files for %{name}

#-----------------------------------------------------------------------------
BuildArch	:	noarch

#-----------------------------------------------------------------------------
%description		doc
Developer Documentation files for %{name} for
use with KDevelop or QtCreator.

#-----------------------------------------------------------------------------
%files			doc
%defattr(-,root,root,-)
%{_kf5_mandir}/man8/kcookiejar5.8*
%{_qt5_docdir}/*.qch

#=============================================================================
%prep
%setup -q -n %{sname}-%{version}

#-----------------------------------------------------------------------------
#building application
%build

cmake								\
	-B _bld							\
	-S .							\
	-D CMAKE_BUILD_TYPE=Release				\
	-D CMAKE_INSTALL_PREFIX=%{_prefix}			\
	-D CMAKE_INSTALL_INCLUDEDIR=%{_includedir}		\
	-D CMAKE_INSTALL_LIBDIR=%{_libdir}			\
	-D CMAKE_INSTALL_LIBEXECDIR=%{_libexecdir}		\
	-D KDE_INSTALL_INCLUDEDIR=%{_includedir}		\
	-D KDE_INSTALL_BINDIR=%{_bindir}			\
	-D KDE_INSTALL_LIBDIR=%{_libdir}			\
	-D KDE_INSTALL_LIBEXECDIR=%{_libexecdir}		\
	-D BUILD_TESTING=OFF					\
	-D BUILD_QCH=ON						\

cmake								\
	--build							\
	_bld							\
	--parallel %(/usr/bin/getconf _NPROCESSORS_ONLN)	\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

DESTDIR=%{buildroot}					\
	cmake						\
	--install					\
	_bld

%find_lang %{sname} --all-name --with-man --with-html

#-----------------------------------------------------------------------------
%changelog
